Get Lead Forms
curl --request POST \
--url https://public.plai.io/gads/get_lead_forms \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>"
}
'import requests
url = "https://public.plai.io/gads/get_lead_forms"
payload = { "userId": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://public.plai.io/gads/get_lead_forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"leadFormInfo": [
{
"leadFormAssetId": "<string>",
"name": "<string>"
}
],
"error": "<string>"
}
}Lead Form
Get Lead Forms
This endpoint retrieves all lead form assets linked to the user’s Google Ads account. It returns essential details like the lead form name and asset ID, which can be used when setting up or managing lead generation campaigns. Use this to view and select from your existing lead forms.
POST
/
gads
/
get_lead_forms
Get Lead Forms
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
Response
boolean
Indicates that the HTTP response was successful (status code 200 OK).